Skip to main content
GET
/
api
/
v2
/
chatbots
/
{chatbotId}
/
documents
/
{documentId}
Get document
curl --request GET \
  --url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/documents/{documentId} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "document": {
      "id": "document-id",
      "name": "Example document",
      "createdAt": "2026-05-13T00:00:00.000Z"
    }
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
documentId
string
required

Query Parameters

includeContent
boolean

Inline text content when available.

maxContentChars
integer

Maximum characters to inline per content field.

Required range: 1 <= x <= 500000

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required